Summary: A graphical interface for viewing log files
Name: system-logviewer 
Version: 0.9.12
Release: 0.2
URL: http://www.redhat.com/
License: GPL
ExclusiveOS: Linux
Group: Applications/System
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Source0: %{name}-%{version}.tar.gz
BuildRequires: desktop-file-utils
BuildRequires: gettext
Requires: pygtk2
Requires: python2
Requires: usermode >= 1.36
Requires: htmlview
Obsoletes: redhat-logviewer

%description
Log Viewer is a graphical interface for viewing and searching 
log files.

%prep
%setup -q

%build
make

%install
make INSTROOT=$RPM_BUILD_ROOT install
desktop-file-install --vendor system --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%preun
if [ -d %{_datadir}/%{name} ] ; then
  rm -rf %{_datadir}/%{name}/*.pyc
fi

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING
%doc doc/*
/usr/bin/%{name}
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/pixmaps
%{_datadir}/%{name}/*.py
%attr(0644,root,root) %{_mandir}/man8/%{name}*
%attr(0644,root,root) %{_datadir}/applications/%{name}.desktop
%attr(0644,root,root) %{_datadir}/pixmaps/%{name}.png
%attr(0644,root,root) %{_datadir}/%{name}/pixmaps/search-icon.png
%attr(0644,root,root) %{_datadir}/%{name}/pixmaps/blank.png
%attr(0644,root,root) %{_datadir}/%{name}/pixmaps/alert.png
%attr(0644,root,root) %{_datadir}/%{name}/pixmaps/alert-big.png
%attr(0644,root,root) %{_datadir}/%{name}/pixmaps/warning.png
%attr(0644,root,root) %{_datadir}/%{name}/pixmaps/warning-big.png
%attr(0644,root,root) %config(noreplace) /etc/sysconfig/%{name}
%attr(0644,root,root) %config(noreplace) /etc/security/console.apps/%{name}
%attr(0644,root,root) %config(noreplace) /etc/pam.d/%{name}

%changelog
* Mon Nov 08 2004 Paul Nasrat <pnasrat@redhat.com> 0.9.12-0.2
- rhel4
- utf-8 everwhere fixes bug # 136874
- Fix indic locales # 138312

* Fri Oct 01 2004 Paul Nasrat <pnasrat@redhat.com> 0.9.11-1
- Latest Translations

* Wed Sep 29 2004 Paul Nasrat <pnasrat@redhat.com> 0.9.10-1
- HIG fix

* Wed Sep 22 2004 Paul Nasrat <pnasrat@redhat.com> 0.9.9-1
- Makefile fix for about translation (#133135)

* Fri Sep 10 2004 Paul Nasrat <pnasrat@redhat.com> 0.9.8-1
- Deprecated methods
- i18n desktop

* Thu Apr 15 2004 Tammy Fox <tfox@redhat.com> 0.9.7-1
- updated translations
- don't use absolute path to icon in desktop file (#120187)
- updated config file for X.Org instead of XFree86 (#120871)
- fix tux2w3c error without /var/log/tux (#118458)

* Fri Mar 12 2004 Tammy Fox <tfox@redhat.com> 0.9.6-1
- add scrollwindow around logFileView per bug #117859

* Fri Mar 12 2004 Tammy Fox <tfox@redhat.com> 0.9.5-2
- rebuild with latest translations

* Tue Jan 20 2004 Tammy Fox <tfox@redhat.com> 0.9.5-1
- rename to system-logviewer
- requires Python2, not Python 2.3

* Mon Jan 12 2004 Than Ngo <than@redhat.com> 0.9.3-7
- make changes for Python2.3

* Thu Sep 25 2003 Tammy Fox <tfox@redhat.com> 0.9.3-6
- rebuild

* Thu Sep 25 2003 Tammy Fox <tfox@redhat.com> 0.9.3-5
- updated el translations

* Tue Sep 16 2003 Tammy Fox <tfox@redhat.com> 0.9.3-3
- add Croatian translations
- update other translations

* Wed Sep 10 2003 Tammy Fox <tfox@redhat.com> 0.9.3-1
- don't traceback with ALERTWORDS or WARNINGWORDS directive
  isn't found in prefs file (bug #103360)
- build with latest translations

* Wed Aug 13 2003 Tammy Fox <tfox@redhat.com> 0.9.2-1
- add --setinitialview for RHDB product (bug #102141)
- change default FTP log location to default for vsftpd
- don't traceback if none of the log files are found
- remove python-tools dependency (bug #101967)

* Wed May 28 2003 Tammy Fox <tfox@redhat.com> 0.9.1-2
- rebuild

* Tue May 27 2003 Tammy Fox <tfox@redhat.com> 0.9.1-1
- remove length argument in GtkTextBuffer.insert()
  calls since it is deprecated

* Tue May 20 2003 Tammy Fox <tfox@redhat.com> 0.9.0-2
- update man page

* Thu May 15 2003 Tammy Fox <tfox@redhat.com> 0.9.0-1
- don't allow , or = in alert or warning word

* Tue May 13 2003 Tammy Fox <tfox@redhat.com>
- add warning words with icon

* Tue May 06 2003 Tammy Fox <tfox@redhat.com> 
- add ability for users to define their own log files (#73527)
- add --config-file=<file> command line option
- if file location is changed and it is the currently
  selected log file, auto refresh the contents in frame

* Wed Apr 30 2003 Tammy Fox <tfox@redhat.com> 
- store LogFileClass instances in logDict to condense 
  conditional code
- display error msg dialog on start if preference file 
  is not found

* Tue Apr 22 2003 Tammy Fox <tfox@redhat.com> 0.8.5-6
- in default preferences file, changed keyword failed 
  to fail so it includes failure

* Wed Mar 12 2003 Tammy Fox <tfox@redhat.com> 0.8.5-5
- strip string before comparing to empty so a blank 
  is not inserted into alert words list

* Wed Mar 12 2003 Tammy Fox <tfox@redhat.com> 0.8.5-4
- updated Spanish translations to fix menus 

* Fri Mar 07 2003 Tammy Fox <tfox@redhat.com> 0.8.5-3
- updated Korean translations to really fix bug #85178

* Fri Feb 28 2003 Tammy Fox <tfox@redhat.com> 0.8.5-2
- fix bug #85178

* Mon Feb 24 2003 Tammy Fox <tfox@redhat.com> 0.8.5-1
- rebuild with latest translations

* Tue Feb 18 2003 Tammy Fox <tfox@redhat.com> 0.8.4-4
- added Russian translations to desktop file (bug #84363)
- added Dutch translations to desktop file
- updated cs and de desktop file translations

* Tue Feb 11 2003 Tammy Fox <tfox@redhat.com> 0.8.4-3
- full path to htmlview to prevent traceback

* Tue Feb 11 2003 Tammy Fox <tfox@redhat.com> 0.8.4-2
- rebuild with new Dutch translations
- patched desktop file with updated it_IT translations (bug #81161)
- updated help content
- added 2003 to copyright

* Wed Jan 29 2003 Tammy Fox <tfox@redhat.com> 0.8.4-1
- added StartupNotify=true to desktop file
- rebuild with latest translations
- use htmlview to view help
- don't let user add a null string as an alert word

* Tue Jan 14 2003 Tammy Fox <tfox@redhat.com> 0.8.3-5
- rebuild with updated it_IT translations

* Tue Jan  7 2003 Brent Fox <bfox@redhat.com> 0.8.3-4
- destroy about box explicitly

* Thu Dec 12 2002 Tammy Fox <tfox@redhat.com>
- center popup windows on parent so it works better on dual-head systems

* Tue Oct 15 2002 Tammy Fox <tfox@redhat.com> 0.8.3-3
- set modal windows transient also (#75798)

* Tue Sep 02 2002 Tammy Fox <tfox@redhat.com> 0.8.3-2
- rebuild with latest ko translations

* Mon Sep 02 2002 Tammy Fox <tfox@redhat.com> 0.8.3-1
- update Norwegian desktop file translation (#73171)
- rebuild with latest translations
- patch from tagoh@redhat.com (#70236)

* Wed Aug 28 2002 Tammy Fox <tfox@redhat.com> 0.8.2-4
- if LANG=ru_RU.UTF-8, try to read as UTF-8 then koi8-r encoding

* Thu Aug 22 2002 Tammy Fox <tfox@redhat.com> 0.8.2-3
- apply pgampe's patch, set encoding to iso-8859-1 by default

* Wed Aug 21 2002 Paul Gampe <pgampe@redhat.com> 0.8.2-2
- switch to iconv for native to utf-8 encoding conversion

* Thu Aug 15 2002 Tammy Fox <tfox@redhat.com> 0.8.2-1
- hack to detect encoding of log file and convert to utf-8
- more user-friendly strings (bugs 71567 and 71581)

* Mon Aug 12 2002 Tammy Fox <tfox@redhat.com> 0.8.1-3
-fix utf-8 bug #71170

* Wed Aug 07 2002 Tammy Fox <tfox@redhat.com> 0.8.1-2
- fix desktop file translations

* Tue Aug 06 2002 Tammy Fox <tfox@redhat.com> 0.8.1-1
- add window icons

* Mon Aug 05 2002 Tammy Fox <tfox@redhat.com>
- add pam_timestamp

* Fri Aug 02 2002 Tammy Fox <tfox@redhat.com>
- change Help Contents to Contents

* Wed Jul 31 2002 Tammy Fox <tfox@redhat.com>
- filter tweak
- docs edits
- convert po/mo files to UTF-8 (bug #70236)

* Fri Jul 26 2002 Tammy Fox <tfox@redhat.com>
- UI changes (bug #69889)

* Tue Jul 23 2002 Tammy Fox <tfox@redhat.com>
- add icon

* Mon Jul 22 2002 Tammy Fox <tfox@redhat.com>
- change desktop name to System Logs (bug #69492)

* Wed Jul 17 2002 Tammy Fox <tfox@redhat.com>
- add docs and about box

* Fri Jul 12 2002 Tammy Fox <tfox@redhat.com>
- move desktop file to /usr/share/applications only

* Sun Jun 23 2002 Tammy Fox <tfox@redhat.com>
- add alert icon for defined alert words

* Wed May 29 2002 Tammy Fox <tfox@redhat.com>
- add command line options --width and --height
- add tags to buffer to control attributes of font and spacing

* Mon May 27 2002 Tammy Fox <tfox@redhat.com>
- interface tweaks

* Wed May 15 2002 Tammy Fox <tfox@redhat.com>
- implement LogFileClass
- make more robust

* Tue Feb 19 2002 Tammy Fox <tfox@redhat.com>
- changed reset button to refresh button
- added icon to search button

* Mon Feb 11 2002 Tammy Fox <tfox@redhat.com>
- added refresh rate preference

* Tue Jan 29 2002 Tammy Fox <tfox@redhat.com>
- build version 0.1

* Tue Dec 11 2001 Tammy Fox <tfox@redhat.com>
- Initial packaging
